# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name language-c

%global common_summary Haskell library for C code analysis and generation

%global common_description Language C is a Haskell library for the analysis and generation of C\
code. It features a complete, well tested parser and pretty printer\
for all of C99 and a large set of GNU extensions.

Name:           ghc-%{pkg_name}
Version:        0.4.2
Release:        11%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-syb-devel
# End cabal-rpm deps
BuildRequires:  alex
BuildRequires:  happy

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files AUTHORS* LICENSE README


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-10
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-8
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-7
- rebuild

* Thu Mar 22 2012 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.2-6
- Jens: add license to ghc_files
- move manually-tracked %%doc file list to %%ghc_files
- rebuild for GHC platform update

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-5
- update to cabal2spec-0.25.2

* Wed Oct 26 2011 Jens Petersen <petersen@redhat.com> - 0.4.2-4
- rebuild for newer gmp and update to cabal2spec-0.24.1

* Mon Sep 26 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-3
- Remove manual runtime dependencies; issue fixed by ghc-rpm-macros 0.13.10

* Fri Sep  9 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-2
- Add runtime dependencies

* Thu Sep  8 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-1
- Override license, summary and description

* Thu Sep  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24
